Bug 202653 - Line wrapping is broken
Line wrapping is broken
Product: Fedora
Classification: Fedora
Component: paps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-15 14:22 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.6-6.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-29 09:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test file for line wrapping (513 bytes, text/plain)
2006-08-15 14:22 EDT, Jan "Yenya" Kasprzak
no flags Details

  None (edit)
Description Jan "Yenya" Kasprzak 2006-08-15 14:22:45 EDT
Description of problem:
Line wrapping of PAPS is broken (and inconsistent).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use the test file I will attach to this bug
2. run "paps --font 'Monospace 10' --right-margin 30 testfile.txt >testfile.ps
3. view testfile.ps
Actual results:
The long line is not wrapped at all spanning even over the right margin, the
long line with spaces is wrapped after the second word, but the rest spans over
the right margin, the short line is OK, but the short line with spaces at the
end is wrapped before the word "b".

Expected results:
* the line wrapping should either be off at all (at least selectable by
command-line option), or 
* the two long lines should not span over the right margin, and the second short
line (with spaces at the end) should not be wrapped.

Additional info:
Comment 1 Jan "Yenya" Kasprzak 2006-08-15 14:22:45 EDT
Created attachment 134238 [details]
Test file for line wrapping
Comment 2 Akira TAGOH 2006-08-15 21:24:06 EDT
Thanks for reminding me. actually this issue has been fixed in devel branch.
I'll let me apply that patch to FC5 too.
Comment 3 Akira TAGOH 2006-08-29 09:18:06 EDT
Fixed in 0.6.6-6.fc5.

Note You need to log in before you can comment on or make changes to this bug.